Bug 2444 - Problems with MS Powerpoint 2000 by shared documents
Problems with MS Powerpoint 2000 by shared documents
Product: Samba 3.0
Classification: Unclassified
Component: File Services
Sparc Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2005-03-14 03:35 UTC by Michaela Gudjons
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Michaela Gudjons 2005-03-14 03:35:59 UTC
we are using the Samba product version 3.0.11 on Solaris 7 and/or Solaris 8
(different servers). On client site we have  Windows 2000 SP4 and MS Office
Professional SP3 (9.0.6620).
With this new Samba version we have the problem that only the last editor can
only open and save the Powerpoint document. If a member of the group (with write
permissions) opens the Powerpoint document, it is opened as read-only. A "save
as" works and in the Windows explorer it is possible to delete/rename/copy the
documents for the whole group.
With the old version 2.2.8a we don't have this problem. I see a call in the
mailing list with a similar problem. The call number was #2045. But I'm sure if
it is the same problem.

-- Kind regards
                  Michaela Gudjons (Senior Support Engineer)
Comment 1 David Pullman (DSN code 5.1.1) 2005-03-15 08:09:54 UTC

I also reported this behaviour on the mailing list.  We run Solaris 9, use the
SWS6.0 compiler.  Have had this issue in every version since after 3.0.10, up to
and including 3.0.12pre1.

David Pullman
Comment 2 Gerald (Jerry) Carter 2005-03-15 08:56:47 UTC
I think this is actually fixed in 3.0.12rc1.  At least
the feedback regarding shared excel workbooks indicated that it
is fixed.  Could you give that version a go ?  Thanks.
Please reopen if 3.0.12rc1 does not resolve the issue.
Comment 3 Gerald (Jerry) Carter 2005-03-16 06:53:44 UTC
Email from Michaela:

Yes, we have given the version 3.0.12rc1 a go under Solaris 8. But still
we have the same problem with the powerpoint documents. We create a new
pp document under the version 3.0.12rc1, but only the creator can edit
and save it. All other group members can only open the documents with
read-only. In the windows explorer it is no problem to copy, rename or
delete the file, so the file permissions are okay.

Comment 4 Gerald (Jerry) Carter 2005-03-16 06:57:41 UTC
ok.  This sounds like a secondary group issue on Solaris and not
just an office sharing issue.  Can you try editing a txt file
on a Samba share which is owned by anotheruser but one to which 
you should have group write accessd?  Just to verify.
Comment 5 David Pullman (DSN code 5.1.1) 2005-03-16 12:26:13 UTC
Michaela, Jerry,

I had a test directory setup already with a willing colleague to try this.  I
first created a file with .txt extension from NFS as root in the share, set the
owner and group to my colleague and our group with 664 perms.  I then accessed
the share with notepad, made a change and saved it.

Then I had my colleague go to the share, right click and create a "New Text
Document.txt".  He then set his perms and the groups perms to full control and
left everyone read only.  I then went to the share and did the same edit and
save with notepad.

This is running 3.0.12pre1 on my test box with SunOS5.9.

Comment 6 Gerald (Jerry) Carter 2005-04-05 07:26:14 UTC
Yes, I tested with txt files and with MS Word files. There are no
There is only a problem if you open a Powerpoint file which was created
by someoneelse.
In the Windows explorer it is possible to rename or delete the file. But
even if the file is renamed in the explorer, it is just open as
read-only in Powerpoint.

In the meantime we have tested the last 2 Beta versions, but it is still
the same problem with Powerpoint 2000.

-- Kind regards
Comment 7 Gerald (Jerry) Carter 2005-04-05 07:27:34 UTC
please test the latest SAMBA_3_0 svn tree and set 
'dos filetimes = yes' in smb.conf.  Thanks.  This should 
be fixed now.  Closing on that assumption.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:19:44 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.